# Buildable

interface Buildable

A `Buildable` represents an artifact or set of artifacts which are built by one or more Task instances.

#### Inheritors

VisualStudioProject
VisualStudioSolution
JvmTestSuite
PublicationArtifact
BuildableComponentSpec
ConfigurableFileTree
FileCollection
TextResource
PublishArtifact
PublishArtifactSet
DependencySet

## Functions

getBuildDependencies
Link copied to clipboard
abstract fun getBuildDependencies(): TaskDependency
Returns a dependency which contains the tasks which build this artifact.